Skip to content

PAN Authentication Advanced

| View as Markdown

This api is for advanced authentication for PAN number. We have to pass PAN Number to be authenticated, Exact name as per PAN, PAN Card document image - URL, Selfie or Photograph of the PAN Holder - URL, PAN Card document image - Base64 value and Selfie or Photograph of the PAN Holder - Base64 value in request. If the request is valid, we will get a success response. It is an asynchronous request as per the code the result will be written to a web url or send to mail.

https://kraken.airpay.co.in/airpay/ms/baas/api/pan-authentication-advanced
FieldTypeDescription
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self::$secret_key; (required)
api-keyTextWill be provided by airpay ( required)
processor-keyTextWill be provided by airpay ( required)
FieldTypeRequiredDescription
panTextYesPAN Number to be authenticated (length 10)
nameTextYesExact name as per PAN (length 3-50)
oc-image-urlTextNoPAN Card document image URL. Supported document types: JPEG, JPG, PNG, PDF, TIFF
face-image-urlTextNoSelfie or photograph of the PAN holder URL. Supported document types: JPEG, JPG, PNG, PDF, TIFF
ocrImageB64TextNoPAN Card document image in Base64 format. Supported document types: JPEG, JPG, PNG, PDF, TIFF
faceImageB64TextNoSelfie or photograph of the PAN holder in Base64 format. Supported document types: JPEG, JPG, PNG, PDF, TIFF
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/pan-authentication-advanced' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/json' \
--data-raw {
'pan': 'CBGAB1234B',
'name': 'Akhil',
'oc-image-url' : '',
'face-image-url': '',
'ocrImageB64': '',
'faceImageB64': '',
'consent': 'Y'
}
FieldTypeDescription
statusNumeric400- fail,200-success(length 3)
messageTextsuccess, fail
dataText{ “message”: “Request Submitted Successfully” }
{
"status": "200",
"message": "success",
"data": {
"message": "Request Submitted Successfully"
}
}
{
"status": "400",
"message": "Failed",
"data": ""
}